Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# break

Perl 5 version 26.0 documentation
Go to top
Show recent pages
Recently read

# break

Perl functions A-Z | Perl functions by category | The 'perlfunc' manpage

- break

  Break out of a `given` block.

  break is available only if the switch feature is enabled or if it is prefixed with `CORE::` . The switch feature is enabled automatically with a `use v5.10` (or higher) declaration in the current scope.